Subject: Re: MS Platform SDK now available
From: [email-masked] (Axel Riese)

24 Nov 1997 19:22:04 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]
Cc: [email-masked]

Hi Paul !
 
You wrote

> 	Please, forgive me for not being more specific...

> > > 	Anyone had the opportunity to attempt using the Platform SDK under 
> > > Gnu-Win32 (eg. mingw32)?  If so, are there any steps I need to take in 
> > > order to enable it for this NT 4.0 system?
> > 
> > Yes, I use the MS headers with both GNU-Win32 and mingw32. They in fact
> > need some changes. But most of them are covered by the patch file that
> > comes with the RSXNT package. What remains to do is to change some
> > definitions in shellobj.h (or whatever it is called) and some other files
> > included by this one. Personally, I think it's worth the effort, because
> > you get some nice additional features like DDE, ...
> 
> 	The NT 4.0 system I am using is an ix86 based system.  I guess I was 
> asking if there were any written walk-throughs that can facilitate my 
> making the latest (November 1997) version of the Platform SDK useable by 
> Mingw32.  Would the RSXNT package be useable on a non-RSX machine?
> 
> 	I realize that there may be a need to re-build all of the 
> Platform SDK libraries for Mingw32 (which may in fact be the best 
> solution)...I simply have no idea where to begin on such an endeavor.

Well, of course it depends on what you expect from the Platform SDK. I never
felt the need to use the SDK libraries, because the ones from mingw32 are
pretty complete. My only motivation was to have also complete headers
(e.g. for all the shell functions, DDE, etc.) and in fact the resource
compiler rc.exe.

Second, RSXNT is just part of another port of GCC to Win32 (ix86 !). The
nice thing about it is that it contains a patch which allows the use of the
MS headers. Thus, you only need patch.exe and patch.diff (or something like
that - write my mail here on a different machine, so I can't check). As I
said, this patch does not cover the file shlobj.h and a few others included
by this one. But all you have to do is to give nameless unions a name in those
headers (if you need them at all).

You should also use the files wingnu.h (gnuwin.h ?) and windows.h from RSXNT.
Don't worry about some warnings like redefinition of ... if you
use the shell functions, simply ignore them.

Hope this helps,

     Axel

===============================================================================
Axel Riese
Research Institute for Symbolic Computation
J. Kepler University Linz
A-4040 Linz                              e-Mail: [email-masked]
Austria             URL: http://www.risc.uni-linz.ac.at/research/combinat/risc/
===============================================================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".